<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta name="description" content="None">
  
  
  <link rel="shortcut icon" href="img/favicon.ico">
  <title>regels.overheid.nl</title>
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato:400,700|Roboto+Slab:400,700|Inconsolata:400,700" />

  <link rel="stylesheet" href="css/theme.css" />
  <link rel="stylesheet" href="css/theme_extra.css" />
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/styles/github.min.css" />
  
  <script>
    // Current page data
    var mkdocs_page_name = "Home";
    var mkdocs_page_input_path = "index.md";
    var mkdocs_page_url = null;
  </script>
  
  <script src="js/jquery-2.1.1.min.js" defer></script>
  <script src="js/modernizr-2.8.3.min.js" defer></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/highlight.min.js"></script>
  <script>hljs.initHighlightingOnLoad();</script> 
  
</head>

<body class="wy-body-for-nav" role="document">

  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side stickynav">
    <div class="wy-side-scroll">
      <div class="wy-side-nav-search">
        <a href="." class="icon icon-home"> regels.overheid.nl</a>
        <div role="search">
  <form id ="rtd-search-form" class="wy-form" action="./search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" title="Type search term here" />
  </form>
</div>
      </div>

      <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
                <ul class="current">
                    <li class="toctree-l1 current"><a class="reference internal current" href=".">Home</a>
    <ul class="current">
    <li class="toctree-l2"><a class="reference internal" href="#beschikbare-regels">Beschikbare regels</a>
    </li>
    <li class="toctree-l2"><a class="reference internal" href="#live-demo-api">Live Demo API</a>
    </li>
    </ul>
                    </li>
                </ul>
      </div>
    </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
        <a href=".">regels.overheid.nl</a>
      </nav>

      
      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href=".">Docs</a> &raquo;</li>
    
      
    
    <li>Home</li>
    <li class="wy-breadcrumbs-aside">
      
    </li>
  </ul>
  
  <hr/>
</div>
          <div role="main">
            <div class="section">
              
                <h1 id="welkom-bij-open-regels">Welkom bij Open Regels</h1>
<p>De Belastingdienst heeft in het kader van het agile toepassen van de wet een tool ontwikkeld voor het opstellen en toetsen van regels.</p>
<p>Deze tool heet ALEF (Agile Law Execution Factory) en is gebaseerd op Jetbrains MPS. In ALEF worden specificaties opgesteld in samenwerking met de domeinexperts. Deze specificaties bestaan uit regels, datadefinities en testgevallen. Dit wordt zoveel mogelijk door de domeinexperts zelf gedaan. De regels zijn opgesteld in de taal RegelSpraak. Dit is een gecontroleerde Nederlandse taal die zowel voor juristen als voor computersystemen goed leesbaar is.</p>
<p>Naast de regels worden ook testgevallen gedefinieerd op basis van de voorbeelden die door de domeinexperts worden aangeleverd. De regels worden gevalideerd aan de hand van de testgevallen. ALEF kan de controleanalisten ondersteunen bij het bepalen van de testdekking. Dit maakt het eenvoudig om de mate van vertrouwen in de juistheid van de specificaties vast te stellen.</p>
<p>Heb je vragen of wil je met ons samenwerken? Neem dan contact met <a href="mailto:steven.gort@ictu.nl">Steven Gort</a></p>
<h2 id="beschikbare-regels">Beschikbare regels</h2>
<ul>
<li><a href="../regels/Rapportages/Rapportage_Individuele_Inkomenstoeslag.html">Individuele Inkomenstoeslag</a> van de gemeente Utrecht</li>
<li><a href="../regels/Rapportages/Rapportage_Bijdrage_Sport_en_Cultuur.html">Bijdrage sport and cultuur</a> van de gemeente Amersfoort</li>
</ul>
<h2 id="live-demo-api">Live Demo API</h2>
<ul>
<li><a href="https://open-regels.nl:8443/brmpociit-1.0.6/DecisionService">Individuele Inkomenstoeslag</a> van de gemeente Utrecht</li>
<li><a href="https://open-regels.nl:8443/brmvilbsc-1.0.6/DecisionService">Bijdrage sport and cultuur</a> van de gemeente Amersfoort</li>
</ul>
<p>Er is een live demo-API beschikbaar om te testen met bijvoorbeeld Postman. Instructie <a href="https://learning.postman.com/docs/sending-requests/supported-api-frameworks/making-soap-requests/">hier</a>. </p>
<p>Met dit voorbeeldbericht kunt u de Individuele Inkomenstoeslag testen. Content-Type in de header moet text/xml zijn.</p>
<pre><code>&lt;soapenv:Envelope xmlns:soapenv=&quot;http://schemas.xmlsoap.org/soap/envelope/&quot; xmlns:brm=&quot;http://brm.poc.iit.belastingdienst.nl&quot;&gt;
   &lt;soapenv:Header/&gt;
   &lt;soapenv:Body&gt;
      &lt;brm:berekenIit&gt;
         &lt;rsiitMsg&gt;
            &lt;request belastingjaar=&quot;2021&quot; berichtId=&quot;12234324&quot;&gt;
               &lt;!--Optional:--&gt;
               &lt;invoer&gt;
                  &lt;!--You may enter the following 7 items in any order--&gt;
                  &lt;!--Optional:--&gt;
                  &lt;woonplaats&gt;Utrecht&lt;/woonplaats&gt;
                  &lt;!--Optional:--&gt;
                  &lt;aowLeeftijdBehaald&gt;false&lt;/aowLeeftijdBehaald&gt;
                  &lt;!--Optional:--&gt;
                  &lt;ouderDan21&gt;true&lt;/ouderDan21&gt;
                  &lt;!--Optional:--&gt;
                  &lt;alleenstaande&gt;true&lt;/alleenstaande&gt;
                  &lt;!--Optional:--&gt;
                  &lt;thuiswonendeKinderen&gt;true&lt;/thuiswonendeKinderen&gt;
                  &lt;!--Optional:--&gt;
                  &lt;inkomenPerMaand&gt;900&lt;/inkomenPerMaand&gt;
                  &lt;!--Optional:--&gt;
                  &lt;vermogen&gt;3000&lt;/vermogen&gt;
               &lt;/invoer&gt;
            &lt;/request&gt;
         &lt;/rsiitMsg&gt;
      &lt;/brm:berekenIit&gt;
   &lt;/soapenv:Body&gt;
&lt;/soapenv:Envelope&gt;
</code></pre>
              
            </div>
          </div>
          <footer>
  

  <hr/>

  <div role="contentinfo">
    <!-- Copyright etc -->
    
  </div>

  Built with <a href="https://www.mkdocs.org/">MkDocs</a> using a <a href="https://github.com/snide/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>.
</footer>
      
        </div>
      </div>

    </section>

  </div>

  <div class="rst-versions" role="note" aria-label="versions">
    <span class="rst-current-version" data-toggle="rst-current-version">
      
      
      
    </span>
</div>
    <script>var base_url = '.';</script>
    <script src="js/theme.js" defer></script>
      <script src="search/main.js" defer></script>
    <script defer>
        window.onload = function () {
            SphinxRtdTheme.Navigation.enable(true);
        };
    </script>

</body>
</html>

<!--
MkDocs version : 1.1.2
Build Date UTC : 2022-02-24 20:35:46.329435+00:00
-->
